/**
 * Copyright 2008,2009 Ivan SZKIBA
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * under the License.
 */

package net.sourceforge.tink.maven;

import org.apache.maven.plugin.AbstractMojo;

public abstract class AbstractTinkMojo extends AbstractMojo
{
    protected String join(String[] values)
    {
        String ret;

        if ((values == null) || (values.length == 0))
        {
            ret = null;
        }
        else
        {
            StringBuilder buff = new StringBuilder();

            for (int i = 0; i < values.length; i++)
            {
                if (i != 0)
                {
                    buff.append(' ');
                }

                buff.append(values[i]);
            }

            ret = buff.toString();
        }

        return ret;
    }
}
